<?php
session_start();
$poznamka = $_POST['title'];
$zvoleneidvys = $_POST['idvys'];
$_SESSION['vys']= $zvoleneidvys;
if ($_SESSION['vrc']==null){
$hledejpr=$_SESSION['smazatpr'];
$hledejrc=$_SESSION['smazatrc'];
$hledejrc_hash=md5($hledejrc);
}

if ($_SESSION['vrc']!=null){
$hledejrc_hash=$_SESSION['vrc'];
$hledejpr=null;
$hledejrc=1;
}
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}

?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>
<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <br />
        <ul class="info">
          <li>Editace údajů</li>
          <li class="tag">Proveďte žádané změny</li>
               </ul>

              <? 
                                do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$hh = MySQL_Query("SELECT Jmeno, Prijmeni FROM doktor, pacient_vysetreni, doktor_nemocnice WHERE pacient_vysetreni.id_doktor_nemocnice=doktor_nemocnice.id_doktor_nemocnice AND doktor_nemocnice.id_doktor=doktor.id_doktor AND pacient_vysetreni.id_vysetreni='$zvoleneidvys'");
  if (!$hh):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
			endif;
@$trapi=MySQL_Fetch_Array($hh);
$pelic= $trapi['Jmeno'];
$melic=	  $trapi['Prijmeni'];     
      	MySQL_Close($spojeni);    
} while (false);            
              
              
              
              
              
              
              
              do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
@$pacient= MySQL_Query("SELECT pacient.id_pacient FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
@$pokus=MySQL_Fetch_Array($pacient);
$vpacient= $pokus['id_pacient'];
//@$brumlik = MySQL_Query("SELECT vysetreni.datum FROM vysetreni, pacient_vysetreni WHERE pacient_vysetreni.id_pacient_vysetreni=vysetreni.id_vysetreni AND pacient_vysetreni.id_pacient='$vpacient'");

@$udatumvysetreni = MySQL_Query("SELECT vysetreni.datum FROM vysetreni WHERE id_vysetreni='$zvoleneidvys'");
@$utext = MySQL_Query("SELECT vysetreni.text FROM vysetreni WHERE id_vysetreni='$zvoleneidvys'");
@$uchoroba = MySQL_Query("SELECT vysetreni.kwid FROM vysetreni WHERE id_vysetreni='$zvoleneidvys'");
$pokus = MySQL_Fetch_Array($udatumvysetreni);
$vdatumvysetreni=$pokus['datum'];
$pokus = MySQL_Fetch_Array($utext);
$vtext=$pokus['text'];
$pokus = MySQL_Fetch_Array($uchoroba);
$vchoroba=$pokus['kwid'];
//@$vypischoroby = MySQL_Query("SELECT keywords.title_cs FROM vysetreni, pacient_vysetreni, keywords WHERE pacient_vysetreni.id_pacient_vysetreni=vysetreni.id_vysetreni AND pacient_vysetreni.id_pacient='$vpacient' AND keywords.kwid='$vchoroba'");
@$vypischoroby = MySQL_Query("SELECT title_cs FROM keywords WHERE keywords.kwid='$vchoroba'");
$pokus = MySQL_Fetch_Array($vypischoroby);
$vypis=$pokus['title_cs'];


	    		MySQL_Close($spojeni);    
} while (false);

echo    "<FORM ACTION='upravit.php' METHOD=POST>";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='Osobní údaje'>   ";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='Vyšetření'> ";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='Fotodokumentace'>";
echo    "</FORM>";
echo    "<TABLE>";
echo    "<FORM ACTION='update.php' METHOD=POST>";
echo    "<TR><TD>Datum vyšetření:     <TD>   <INPUT NAME=datum VALUE='$vdatumvysetreni'>";
echo    "<TR><TD>Popis vyšetření: <TD>   <TEXTAREA NAME=popis ROWS=7 COLS=40>";
echo    $vtext;
echo    "</TEXTAREA> ";
echo    "<TR><TD>Choroba dle  MKN10:    <TD>$vypis";
echo "<BR />";
echo "<TR><TD>Záznam přidal/a:<TD>MuDr. $pelic $melic";
echo "<BR />";
echo    "</TABLE> ";
echo "<BR />";
echo    "<INPUT TYPE=SUBMIT NAME='x' VALUE='Uložit provedené změny'>";
echo    "</FORM>";
/*
echo    "<FORM ACTION='smazatvys.php' METHOD=POST>";
echo    "<INPUT TYPE=SUBMIT NAME='x' VALUE='Smazat vyšetření'>";
echo    "</FORM>";
*/
  ?>
      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Odhlášení:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
          </ul>
      </div>
           <div class="box subMenu">
        <h3>Správa pacienta:</h3>
        <ul>
            <li><a href="smazat.php">Smazat pacienta</a></li>
            <li><a href="smazatvys.php">Smazat vyšetření</a></li>
          <li><a href="pridatdokumentaci.php">Přidat dokumentaci</a></li>

          </ul>
      </div>
                 <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
           <li><a href="hledat.php">Nové hledání..</a></li>

          <li><a href="upravit.php">Zpět na pacienta</a></li>
           <li><a href="mysql.php">Zpět do hlavního menu</a></li>
          </ul>
      </div>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>